// 存放公共的部分
const path = require('path')
// 存放开发模式下的配置 development
const base = require('./webpack.config.js')
// 用于合并webpack配置的插件
const merge = require('webpack-merge')
// merge 可以接受多个参数, 把参数对象合并成一个对象
// 后面的对象属性, 会覆盖前面的对象属性
module.exports = merge(base, {
    // 入口 entry, 从哪个文件开始打包
    entry: path.join(__dirname, "src/index.js"),
    // 出口 output, 打包到哪里去
    output: {
        // 打包输出的目录 (输出的目录必须是一个绝对路径)
        path: path.join(__dirname, './dist'),
        // 打包后生成的文件名
        filename: 'index.js'
    },
    // 配置开发服务器
    devServer: {
        port: 3000, // 端口号
        open: true // 自动打开浏览器
    },
    mode: 'development'
})